Name:		xastir
Version: 	2.0.0
Release:	1
Summary: 	Amateur Station Tracking and Reporting system for amateur radio
Group:		Communications
License:	GPL
URL: 		http://www.xastir.org
Source0: 	http://prdownloads.sourceforge.net/xastir/xastir-%{version}.tar.gz
Source1:        http://prdownloads.sourceforge.net/xastir/xastir-sounds.tgz
Patch0:		xastir-desktop.diff
BuildRequires:	lesstif-devel
BuildRequires:	shapelib-devel
BuildRequires:	proj-devel
BuildRequires:	geotiff-devel
BuildRequires:	festival-devel
BuildRequires:	db5.3-devel
BuildRequires:	graphicsmagick-devel
Requires:	x11-font-adobe-75dpi
Patch1:		xastir-2-mapdir.patch

%description
Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

%prep
%setup -q
%setup -a1 -q

%patch0 -p1
%patch1 -p1


%build
./bootstrap.sh

CFLAGS=-I/usr/include/libgeotiff 
%configure2_5x 
%make

%install
%makeinstall_std

# Docs go into package docs area instead of here:
rm -rf %{buildroot}/usr/share/doc/xastir
mkdir -p %{buildroot}/usr/share/applications
cp xastir.desktop %{buildroot}/usr/share/applications/.
cp sounds/* %{buildroot}/usr/share/xastir/sounds/.

%files
# Documents:  Go into special doc area
%doc AUTHORS ChangeLog COPYING COPYING.LIB.LESSTIF DEBUG_LEVELS FAQ INSTALL LICENSE
%doc README README.Contributing README.CVS README.Getting-Started
%doc README.MAPS README.win32 UPGRADE


%{_bindir}/*
%{_datadir}/xastir/help
%{_datadir}/xastir/config
%{_datadir}/xastir/symbols
%{_mandir}/man1/xastir.1.*
%{_mandir}/man1/callpass.1.*
%{_mandir}/man1/testdbfawk.1.*
%{_mandir}/man1/xastir_udp_client.1.*
%{_libdir}/xastir
%{_datadir}/applications/xastir.desktop

# protect user-installed map and other files from being clobbered

%config %{_datadir}/xastir/maps
%config %{_datadir}/xastir/Counties
%config %{_datadir}/xastir/fcc
%config %{_datadir}/xastir/GNIS
%config %{_datadir}/xastir/sounds


%changelog
* Thu May 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.0.0-1
+ Revision: 798068
- version update 2.0.0

* Tue Nov 16 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-4mdv2011.0
+ Revision: 597939
- added Requires: x11-font-adobe-75dpi

* Fri Oct 29 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-3mdv2011.0
+ Revision: 589898
- added a lot of libs to buildrequires to provide the options

* Thu Oct 28 2010 Jani Välimaa <wally@mandriva.org> 1.9.8-2mdv2011.0
+ Revision: 589837
- fix BRs

  + Thomas Spuhler <tspuhler@mandriva.org>
    - reversed changed %%{_bindir}/ to %%{_bindir}/*
    - changed %%{_bindir}/ to %%{_bindir}/*
    - cleaned up spec file

* Thu Oct 28 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-1mdv2011.0
+ Revision: 589685
- changed man page compression name from lzma to *
- changed libname to arch
- changed group to Communications
- import xastir

